Mambu

App · 25 actions

Read and manage Mambu clients and groups, and retrieve banking accounts, products and branches.

Actions

ActionWhat it does
Create clientCreate client
Create groupCreate group
Delete clientDelete client
Delete groupDelete group
Get branchGet branch
Get clientGet client
Get deposit accountGet deposit account
Get deposit productGet deposit product
Get groupGet group
Get loan accountGet loan account
Get loan balancesGet loan account balances
Get loan productGet loan product
List branchesGet branches
List clientsGet clients
List currenciesGet all currencies
List deposit accountsGet deposit accounts
List deposit productsGet deposit products
List general ledger accountsGet general ledger accounts
List groupsGet groups
List loan accountsGet loan accounts
List loan productsGet loan products
Search clientsSearch clients
Search groupsSearch groups
Update clientUpdate client
Update groupUpdate group

Create client

Create client

Inputs

Addressesaddresseslist
The addresses associated with this client.
AssignedBranchKeyassignedBranchKeytext
The encoded key of the branch a client is assigned to.
AssignedCentreKeyassignedCentreKeytext
The encoded key of the centre a client is assigned to.
AssignedUserKeyassignedUserKeytext
The encoded key of the user a client is assigned to.
BirthDatebirthDatedate
The client's date of birth.
ClientRoleKeyclientRoleKeytext
A role which describes the intended use of a client in the system.
EmailAddressemailAddresstext
The client's email address.
FirstNamefirstNametextRequired
The first name, personal name, given name, or forename of the client.
Gendergendertext
The client's gender, the options are male or female.One of: MALE, FEMALE.
GroupKeysgroupKeyslist
The groups to which this client belongs.
HomePhonehomePhonetext
The client's home phone number.
IDidtext
The ID of the client, which can be generated and customized - but must be unique.
IdDocumentsidDocumentslist
The identification documents for this client.
LastNamelastNametextRequired
The last name, surname, or family name of the client.
MiddleNamemiddleNametext
The middle name of the client.
MobilePhonemobilePhonetext
The client's mobile phone number.
MobilePhone2mobilePhone2text
The client's second mobile phone number.
Notesnotestext
The additional notes about a client.
PortalSettingsportalSettingsobject
Represents portal settings for an individual client.
PreferredLanguagepreferredLanguagetext
The client's preferred language. This will determine the language for the reports, schedules, and account statements you generate for the client.One of: ENGLISH, PORTUGESE, SPANISH, RUSSIAN, FRENCH, GEORGIAN, CHINESE, INDONESIAN, ROMANIAN, BURMESE, and 7 more.
Statestatetext
The state of a client. It shows where the client is in the client life cycle.One of: PENDING_APPROVAL, INACTIVE, ACTIVE, EXITED, BLACKLISTED, REJECTED.

Outputs

Value.

dataobject
Represents a client.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "activationDate": "2026-10-01T12:00:00Z",
    "addresses": [
      {
        "city": "example",
        "country": "example",
        "encodedKey": "example",
        "indexInList": 1,
        "latitude": 1,
        "line1": "example",
        "line2": "example",
        "longitude": 1,
        "parentKey": "example",
        "postcode": "example",
        "region": "example"
      }
    ],
    "approvedDate": "2026-10-01T12:00:00Z",
    "assignedBranchKey": "example",
    "assignedCentreKey": "example",
    "assignedUserKey": "example",
    "birthDate": "2026-10-01",
    "clientRoleKey": "example",
    "closedDate": "2026-10-01T12:00:00Z",
    "creationDate": "2026-10-01T12:00:00Z",
    "emailAddress": "example",
    "encodedKey": "example",
    "firstName": "example",
    "gender": "MALE",
    "groupKeys": [
      "example"
    ],
    "groupLoanCycle": 1,
    "homePhone": "example",
    "id": "example",
    "idDocuments": [
      {
        "attachments": [
          {
            "creationDate": "2026-10-01T12:00:00Z",
            "encodedKey": "example",
            "fileName": "example",
            "fileSize": 1,
            "id": 1,
            "lastModifiedDate": "2026-10-01T12:00:00Z",
            "location": "example",
            "name": "example",
            "notes": "example",
            "ownerKey": "example",
            "ownerType": "CLIENT",
            "type": "example"
          }
        ],
        "clientKey": "example",
        "documentId": "example",
        "documentType": "example",
        "encodedKey": "example",
        "identificationDocumentTemplateKey": "example",
        "indexInList": 1,
        "issuingAuthority": "example",
        "validUntil": "2026-10-01"
      }
    ],
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "lastName": "example",
    "loanCycle": 1,
    "middleName": "example",
    "migrationEventKey": "example",
    "mobilePhone": "example",
    "mobilePhone2": "example",
    "notes": "example",
    "portalSettings": {
      "encodedKey": "example",
      "lastLoggedInDate": "2026-10-01T12:00:00Z",
      "portalState": "ENABLED"
    },
    "preferredLanguage": "ENGLISH",
    "profilePictureKey": "example",
    "profileSignatureKey": "example",
    "state": "PENDING_APPROVAL"
  },
  "has_more": false,
  "next_cursor": null
}

Create group

Create group

Inputs

Addressesaddresseslist
The addresses associated with this group.
AssignedBranchKeyassignedBranchKeytext
Key of the branch this group is assigned to.
AssignedCentreKeyassignedCentreKeytext
Key of the centre this group is assigned to.
AssignedUserKeyassignedUserKeytext
Key of the user this group is assigned to.
EmailAddressemailAddresstext
The email address associated with the group.
GroupMembersgroupMemberslist
The members of this group.
GroupNamegroupNametextRequired
The name of the group.
GroupRoleKeygroupRoleKeytext
A role which describes the intended use of a group in the system.
HomePhonehomePhonetext
The home phone number associated with the group.
IDidtext
The ID of the group, which can be generated and customized, but must be unique.
MobilePhonemobilePhonetext
The mobile phone number associated with the group.
Notesnotestext
Extra notes about this group.
PreferredLanguagepreferredLanguagetext
The preferred language associated with the group (used for the notifications).One of: ENGLISH, PORTUGESE, SPANISH, RUSSIAN, FRENCH, GEORGIAN, CHINESE, INDONESIAN, ROMANIAN, BURMESE, and 7 more.

Outputs

Value.

dataobject
Represents a group. A group is a type of client that can represent a non-physical person such as a company client or a grouping of individual clients. A group can have its own accounts and can optionally have individual clients as members, in which case they also need to have an individual profile in Mambu.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "addresses": [
      {
        "city": "example",
        "country": "example",
        "encodedKey": "example",
        "indexInList": 1,
        "latitude": 1,
        "line1": "example",
        "line2": "example",
        "longitude": 1,
        "parentKey": "example",
        "postcode": "example",
        "region": "example"
      }
    ],
    "assignedBranchKey": "example",
    "assignedCentreKey": "example",
    "assignedUserKey": "example",
    "creationDate": "2026-10-01T12:00:00Z",
    "emailAddress": "example",
    "encodedKey": "example",
    "groupMembers": [
      {
        "clientKey": "example",
        "roles": [
          {
            "encodedKey": "example",
            "groupRoleNameKey": "example",
            "roleName": "example",
            "roleNameId": "example"
          }
        ]
      }
    ],
    "groupName": "example",
    "groupRoleKey": "example",
    "homePhone": "example",
    "id": "example",
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "loanCycle": 1,
    "migrationEventKey": "example",
    "mobilePhone": "example",
    "notes": "example",
    "preferredLanguage": "ENGLISH"
  },
  "has_more": false,
  "next_cursor": null
}

Delete client

Delete client

Inputs

ClientIdclientIdtextRequired
The ID or encoded key of the client to be deleted.

Outputs

Value.

datanull
No response body.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": null,
  "has_more": false,
  "next_cursor": null
}

Delete group

Delete group

Inputs

GroupIdgroupIdtextRequired
The ID or encoded key of the group to be deleted.

Outputs

Value.

datanull
No response body.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": null,
  "has_more": false,
  "next_cursor": null
}

Get branch

Get branch

Inputs

BranchIdbranchIdtextRequired
The unique ID or encoded key of the branch. Both values are returned in GET /branches responses.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.

Outputs

Value.

dataobject
An organisational unit that groups clients, centres, and accounts. Branches are used to segment operations by location or team.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "addresses": [
      {
        "city": "example",
        "country": "example",
        "encodedKey": "example",
        "indexInList": 1,
        "latitude": 1,
        "line1": "example",
        "line2": "example",
        "longitude": 1,
        "parentKey": "example",
        "postcode": "example",
        "region": "example"
      }
    ],
    "branchHolidays": [
      {
        "creationDate": "2026-10-01T12:00:00Z",
        "date": "2026-10-01",
        "encodedKey": "example",
        "id": 1,
        "isAnnuallyRecurring": false,
        "name": "example"
      }
    ],
    "creationDate": "2026-10-01T12:00:00Z",
    "emailAddress": "example",
    "encodedKey": "example",
    "id": "example",
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "name": "example",
    "notes": "example",
    "phoneNumber": "example",
    "state": "ACTIVE"
  },
  "has_more": false,
  "next_cursor": null
}

Get client

Get client

Inputs

ClientIdclientIdtextRequired
The ID or encoded key of the client to be returned.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.

Outputs

Value.

dataobject
Represents a client.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "activationDate": "2026-10-01T12:00:00Z",
    "addresses": [
      {
        "city": "example",
        "country": "example",
        "encodedKey": "example",
        "indexInList": 1,
        "latitude": 1,
        "line1": "example",
        "line2": "example",
        "longitude": 1,
        "parentKey": "example",
        "postcode": "example",
        "region": "example"
      }
    ],
    "approvedDate": "2026-10-01T12:00:00Z",
    "assignedBranchKey": "example",
    "assignedCentreKey": "example",
    "assignedUserKey": "example",
    "birthDate": "2026-10-01",
    "clientRoleKey": "example",
    "closedDate": "2026-10-01T12:00:00Z",
    "creationDate": "2026-10-01T12:00:00Z",
    "emailAddress": "example",
    "encodedKey": "example",
    "firstName": "example",
    "gender": "MALE",
    "groupKeys": [
      "example"
    ],
    "groupLoanCycle": 1,
    "homePhone": "example",
    "id": "example",
    "idDocuments": [
      {
        "attachments": [
          {
            "creationDate": "2026-10-01T12:00:00Z",
            "encodedKey": "example",
            "fileName": "example",
            "fileSize": 1,
            "id": 1,
            "lastModifiedDate": "2026-10-01T12:00:00Z",
            "location": "example",
            "name": "example",
            "notes": "example",
            "ownerKey": "example",
            "ownerType": "CLIENT",
            "type": "example"
          }
        ],
        "clientKey": "example",
        "documentId": "example",
        "documentType": "example",
        "encodedKey": "example",
        "identificationDocumentTemplateKey": "example",
        "indexInList": 1,
        "issuingAuthority": "example",
        "validUntil": "2026-10-01"
      }
    ],
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "lastName": "example",
    "loanCycle": 1,
    "middleName": "example",
    "migrationEventKey": "example",
    "mobilePhone": "example",
    "mobilePhone2": "example",
    "notes": "example",
    "portalSettings": {
      "encodedKey": "example",
      "lastLoggedInDate": "2026-10-01T12:00:00Z",
      "portalState": "ENABLED"
    },
    "preferredLanguage": "ENGLISH",
    "profilePictureKey": "example",
    "profileSignatureKey": "example",
    "state": "PENDING_APPROVAL"
  },
  "has_more": false,
  "next_cursor": null
}

Get deposit account

Get deposit account

Inputs

DepositAccountIddepositAccountIdtextRequired
The ID or encoded key of the deposit account.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.

Outputs

Value.

dataobject
Represents information about a deposit account.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "accountHolderKey": "example",
    "accountHolderType": "CLIENT",
    "accountState": "PENDING_APPROVAL",
    "accountType": "CURRENT_ACCOUNT",
    "accruedAmounts": {
      "interestAccrued": 1,
      "negativeInterestAccrued": 1,
      "overdraftInterestAccrued": 1,
      "technicalOverdraftInterestAccrued": 1
    },
    "activationDate": "2026-10-01T12:00:00Z",
    "approvedDate": "2026-10-01T12:00:00Z",
    "assignedBranchKey": "example",
    "assignedCentreKey": "example",
    "assignedUserKey": "example",
    "balances": {
      "availableBalance": 1,
      "blockedBalance": 1,
      "feesDue": 1,
      "forwardAvailableBalance": 1,
      "holdBalance": 1,
      "lockedBalance": 1,
      "overdraftAmount": 1,
      "overdraftInterestDue": 1,
      "technicalOverdraftAmount": 1,
      "technicalOverdraftInterestDue": 1,
      "totalBalance": 1
    },
    "closedDate": "2026-10-01T12:00:00Z",
    "courtesyPaySettings": {
      "allowCourtesyPay": false,
      "courtesyPayLimit": 1
    },
    "creationDate": "2026-10-01T12:00:00Z",
    "creditArrangementKey": "example",
    "currencyCode": "example",
    "encodedKey": "example",
    "id": "example",
    "interestSettings": {
      "interestPaymentSettings": {
        "interestPaymentDates": [
          {
            "day": 1,
            "month": 1
          }
        ],
        "interestPaymentPoint": "FIRST_DAY_OF_MONTH"
      },
      "interestRateSettings": {
        "encodedKey": "example",
        "interestChargeFrequency": "ANNUALIZED",
        "interestChargeFrequencyCount": 1,
        "interestRate": 1,
        "interestRateReviewCount": 1,
        "interestRateReviewUnit": "DAYS",
        "interestRateSource": "FIXED_INTEREST_RATE",
        "interestRateTerms": "FIXED",
        "interestRateTiers": [
          {
            "encodedKey": "example",
            "endingBalance": 1,
            "endingDay": 1,
            "interestRate": 1
          }
        ],
        "interestSpread": 1
      }
    },
    "internalControls": {
      "maxDepositBalance": 1,
      "maxWithdrawalAmount": 1,
      "recommendedDepositAmount": 1,
      "targetAmount": 1
    },
    "lastAccountAppraisalDate": "2026-10-01T12:00:00Z",
    "lastInterestCalculationDate": "2026-10-01T12:00:00Z",
    "lastInterestReviewDate": "2026-10-01T12:00:00Z",
    "lastInterestStoredDate": "2026-10-01T12:00:00Z",
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "lastOverdraftInterestReviewDate": "2026-10-01T12:00:00Z",
    "lastSetToArrearsDate": "2026-10-01T12:00:00Z",
    "linkedSettlementAccountKeys": [
      "example"
    ],
    "lockedDate": "2026-10-01T12:00:00Z",
    "maturityDate": "2026-10-01T12:00:00Z",
    "migrationEventKey": "example",
    "name": "example",
    "notes": "example",
    "overdraftInterestSettings": {
      "interestRateSettings": {
        "encodedKey": "example",
        "interestChargeFrequency": "ANNUALIZED",
        "interestChargeFrequencyCount": 1,
        "interestRate": 1,
        "interestRateReviewCount": 1,
        "interestRateReviewUnit": "DAYS",
        "interestRateSource": "FIXED_INTEREST_RATE",
        "interestRateTerms": "FIXED",
        "interestRateTiers": [
          {
            "encodedKey": "example",
            "endingBalance": 1,
            "endingDay": 1,
            "interestRate": 1
          }
        ],
        "interestSpread": 1
      }
    },
    "overdraftSettings": {
      "allowOverdraft": false,
      "overdraftExpiryDate": "2026-10-01T12:00:00Z",
      "overdraftLimit": 1
    },
    "ownershipHistory": [
      {
        "previousOwnerKey": "example",
        "transferDate": "2026-10-01T12:00:00Z"
      }
    ],
    "productTypeKey": "example",
    "withholdingTaxSourceKey": "example"
  },
  "has_more": false,
  "next_cursor": null
}

Get deposit product

Get deposit product

Inputs

DepositProductIddepositProductIdtextRequired
The ID or encoded key of the deposit product to be returned.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.

Outputs

Value.

dataobject
A deposit product defines the terms and constraints on deposit accounts
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "accountingSettings": {
      "accountingMethod": "NONE",
      "accountingRules": [
        {
          "encodedKey": "example",
          "financialResource": "PORTFOLIO_CONTROL",
          "glAccountKey": "example"
        }
      ],
      "interestAccrualCalculation": "NONE",
      "interestAccruedAccountingMethod": "NONE"
    },
    "availabilitySettings": {
      "availableFor": [
        "INDIVIDUALS"
      ],
      "branchSettings": {
        "availableProductBranches": [
          "example"
        ],
        "forAllBranches": false
      }
    },
    "category": "PERSONAL_DEPOSIT",
    "creationDate": "2026-10-01T12:00:00Z",
    "creditArrangementSettings": {
      "creditArrangementRequirement": "OPTIONAL"
    },
    "currencySettings": {
      "currencies": [
        {
          "code": "AED",
          "currencyCode": "example"
        }
      ]
    },
    "encodedKey": "example",
    "feesSettings": {
      "allowArbitraryFees": false,
      "fees": [
        {
          "accountingRules": [
            {
              "encodedKey": "example",
              "financialResource": "PORTFOLIO_CONTROL",
              "glAccountKey": "example"
            }
          ],
          "amount": 1,
          "amountCalculationFunctionName": "example",
          "amountCalculationMethod": "FLAT",
          "applyDateMethod": "MONTHLY_FROM_ACTIVATION",
          "creationDate": "2026-10-01T12:00:00Z",
          "encodedKey": "example",
          "feeApplication": "REQUIRED",
          "id": "example",
          "lastModifiedDate": "2026-10-01T12:00:00Z",
          "name": "example",
          "state": "ACTIVE",
          "trigger": "MANUAL"
        }
      ]
    },
    "id": "example",
    "interestSettings": {
      "collectInterestWhenLocked": false,
      "daysInYear": "ACTUAL_365_FIXED",
      "interestCalculationBalance": "MINIMUM",
      "interestGainsProvidedEndDate": "2026-10-01",
      "interestGainsProvidedStartDate": "2026-10-01",
      "interestPaidIntoAccount": false,
      "interestPaymentSettings": {
        "interestPaymentDates": [
          {
            "day": 1,
            "month": 1
          }
        ],
        "interestPaymentPoint": "FIRST_DAY_OF_MONTH"
      },
      "interestRateSettings": {
        "accrueInterestAfterMaturity": false,
        "allowNegativeInterestRate": false,
        "encodedKey": "example",
        "indexSourceKey": "example",
        "interestChargeFrequency": "ANNUALIZED",
        "interestChargeFrequencyCount": 1,
        "interestRate": {
          "defaultValue": 1,
          "maxValue": 1,
          "minValue": 1
        },
        "interestRateReviewCount": 1,
        "interestRateReviewUnit": "DAYS",
        "interestRateSource": "FIXED_INTEREST_RATE",
        "interestRateTerms": "FIXED",
        "interestRateTiers": [
          {
            "encodedKey": "example",
            "endingBalance": 1,
            "endingDay": 1,
            "interestRate": 1
          }
        ]
      },
      "maximumBalance": 1
    },
    "internalControls": {
      "dormancyPeriodDays": 1,
      "maxWithdrawalAmount": 1,
      "openingBalance": {
        "defaultValue": 1,
        "maxValue": 1,
        "minValue": 1
      },
      "recommendedDepositAmount": 1
    },
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "maturitySettings": {
      "maturityPeriod": {
        "defaultValue": 1,
        "maxValue": 1,
        "minValue": 1
      },
      "maturityPeriodUnit": "DAYS"
    },
    "name": "example",
    "newAccountSettings": {
      "idGeneratorType": "INCREMENTAL_NUMBER",
      "idPattern": "example"
    },
    "notes": "example",
    "offsetSettings": {
      "allowOffset": false
    },
    "overdraftInterestSettings": {
      "daysInYear": "ACTUAL_365_FIXED",
      "interestCalculationBalance": "MINIMUM",
      "interestRateSettings": {
        "indexSourceKey": "example",
        "interestChargeFrequency": "ANNUALIZED",
        "interestChargeFrequencyCount": 1,
        "interestRate": {
          "defaultValue": 1,
          "maxValue": 1,
          "minValue": 1
        },
        "interestRateReviewCount": 1,
        "interestRateReviewUnit": "DAYS",
        "interestRateSource": "FIXED_INTEREST_RATE",
        "interestRateTerms": "FIXED",
        "interestRateTiers": [
          {
            "encodedKey": "example",
            "endingBalance": 1,
            "interestRate": 1
          }
        ]
      }
    },
    "overdraftSettings": {
      "allowOverdraft": false,
      "allowTechnicalOverdraft": false,
      "maxOverdraftLimit": 1
    },
    "state": "ACTIVE",
    "taxSettings": {
      "withholdingTaxEnabled": false
    },
    "templates": [
      {
        "creationDate": "2026-10-01T12:00:00Z",
        "encodedKey": "example",
        "lastModifiedDate": "2026-10-01T12:00:00Z",
        "name": "example",
        "type": "ACCOUNT"
      }
    ],
    "type": "CURRENT_ACCOUNT"
  },
  "has_more": false,
  "next_cursor": null
}

Get group

Get group

Inputs

GroupIdgroupIdtextRequired
The ID or encoded key of the group to be returned.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.

Outputs

Value.

dataobject
Represents a group. A group is a type of client that can represent a non-physical person such as a company client or a grouping of individual clients. A group can have its own accounts and can optionally have individual clients as members, in which case they also need to have an individual profile in Mambu.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "addresses": [
      {
        "city": "example",
        "country": "example",
        "encodedKey": "example",
        "indexInList": 1,
        "latitude": 1,
        "line1": "example",
        "line2": "example",
        "longitude": 1,
        "parentKey": "example",
        "postcode": "example",
        "region": "example"
      }
    ],
    "assignedBranchKey": "example",
    "assignedCentreKey": "example",
    "assignedUserKey": "example",
    "creationDate": "2026-10-01T12:00:00Z",
    "emailAddress": "example",
    "encodedKey": "example",
    "groupMembers": [
      {
        "clientKey": "example",
        "roles": [
          {
            "encodedKey": "example",
            "groupRoleNameKey": "example",
            "roleName": "example",
            "roleNameId": "example"
          }
        ]
      }
    ],
    "groupName": "example",
    "groupRoleKey": "example",
    "homePhone": "example",
    "id": "example",
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "loanCycle": 1,
    "migrationEventKey": "example",
    "mobilePhone": "example",
    "notes": "example",
    "preferredLanguage": "ENGLISH"
  },
  "has_more": false,
  "next_cursor": null
}

Get loan account

Get loan account

Inputs

LoanAccountIdloanAccountIdtextRequired
The ID or encoded key of the loan account.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.

Outputs

Value.

dataobject
Represents a loan account. A loan account defines the amount that your organization lends to a client. The terms and conditions of a loan account are defined by a loan product. In a loan account, Mambu stores all the information related to disbursements, repayments, interest rates, and withdrawals.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "_Example_Custom_Fields": {
      "Example_Checkbox_Field": "TRUE",
      "Example_ClientLink_Field": "example",
      "Example_Date_Field": "2026-10-01",
      "Example_Datetime_Field": "example",
      "Example_Free_Text_Field": "example",
      "Example_GroupLink_Field": "example",
      "Example_Number_Field": "example",
      "Example_Select_Field": {},
      "Example_UserLink_Field": "example"
    },
    "accountArrearsSettings": {
      "dateCalculationMethod": "ACCOUNT_FIRST_WENT_TO_ARREARS",
      "encodedKey": "example",
      "monthlyToleranceDay": 1,
      "nonWorkingDaysMethod": "INCLUDED",
      "toleranceCalculationMethod": "ARREARS_TOLERANCE_PERIOD",
      "toleranceFloorAmount": 1,
      "tolerancePercentageOfOutstandingPrincipal": 1,
      "tolerancePeriod": 1
    },
    "accountHolderKey": "example",
    "accountHolderType": "CLIENT",
    "accountState": "PARTIAL_APPLICATION",
    "accountSubState": "PARTIALLY_DISBURSED",
    "accruedInterest": 1,
    "accruedPenalty": 1,
    "activationTransactionKey": "example",
    "adjustTotalDueForInstallmentsWithDifferentInterval": false,
    "allowAdvanceRepayment": false,
    "allowOffset": false,
    "approvedDate": "2026-10-01T12:00:00Z",
    "arrearsTolerancePeriod": 1,
    "assets": [
      {
        "amount": 1,
        "assetName": "example",
        "depositAccountKey": "example",
        "encodedKey": "example",
        "guarantorKey": "example",
        "guarantorType": "CLIENT",
        "originalAmount": 1,
        "originalCurrency": {
          "code": "AED",
          "currencyCode": "example"
        }
      }
    ],
    "assignedBranchKey": "example",
    "assignedCentreKey": "example",
    "assignedUserKey": "example",
    "balances": {
      "creditBalance": 1,
      "feesBalance": 1,
      "feesDue": 1,
      "feesPaid": 1,
      "holdBalance": 1,
      "interestBalance": 1,
      "interestDue": 1,
      "interestFromArrearsBalance": 1,
      "interestFromArrearsDue": 1,
      "interestFromArrearsPaid": 1,
      "interestPaid": 1,
      "penaltyBalance": 1,
      "penaltyDue": 1,
      "penaltyPaid": 1,
      "principalBalance": 1,
      "principalDue": 1,
      "principalPaid": 1,
      "redrawBalance": 1,
      "unappliedFundsBalance": 1
    },
    "balloonPaymentOnLastInstallment": false,
    "closedDate": "2026-10-01T12:00:00Z",
    "creationDate": "2026-10-01T12:00:00Z",
    "creditArrangementKey": "example",
    "creditBalanceSettings": {
      "allowDepositWithDebitBalance": false,
      "maxCreditBalance": 1,
      "revolvingAccountCreditBalanceAutoAllocationType": "NO_ALLOCATION"
    },
    "currency": {
      "code": "AED",
      "currencyCode": "example"
    },
    "daysInArrears": 1,
    "daysLate": 1,
    "disbursementDetails": {
      "disbursementDate": "2026-10-01T12:00:00Z",
      "encodedKey": "example",
      "expectedDisbursementDate": "2026-10-01T12:00:00Z",
      "fees": [
        {
          "amount": 1,
          "encodedKey": "example",
          "fee": {
            "accountingRules": [
              {}
            ],
            "amortizationSettings": {},
            "amount": 1,
            "amountCalculationFunctionName": "example",
            "amountCalculationMethod": "FLAT",
            "applyDateMethod": "MONTHLY_FROM_ACTIVATION",
            "creationDate": "2026-10-01T12:00:00Z",
            "defaultFeeRate": 1,
            "encodedKey": "example",
            "feeApplication": "REQUIRED",
            "id": "example",
            "includeInPenalty": false,
            "interestBearing": false,
            "lastModifiedDate": "2026-10-01T12:00:00Z",
            "name": "example",
            "percentageAmount": 1,
            "scheduleAllocationMethod": "ON_INSTALLMENT",
            "state": "ACTIVE",
            "taxSettings": {},
            "trigger": "MANUAL"
          },
          "percentage": 1,
          "predefinedFeeEncodedKey": "example"
        }
      ],
      "firstRepaymentDate": "2026-10-01T12:00:00Z",
      "transactionDetails": {
        "encodedKey": "example",
        "internalTransfer": false,
        "targetDepositAccountKey": "example",
        "transactionChannelId": "example",
        "transactionChannelKey": "example"
      }
    },
    "encodedKey": "example",
    "feesSettings": {
      "accruedFee": 1,
      "accruedFeeFromArrears": 1,
      "feeRate": 1
    },
    "fundingSources": [
      {
        "amount": 1,
        "assetName": "example",
        "depositAccountKey": "example",
        "encodedKey": "example",
        "guarantorKey": "example",
        "guarantorType": "CLIENT",
        "id": "example",
        "interestCommission": 1,
        "sharePercentage": 1
      }
    ],
    "futurePaymentsAcceptance": "NO_FUTURE_PAYMENTS",
    "guarantors": [
      {
        "amount": 1,
        "assetName": "example",
        "depositAccountKey": "example",
        "encodedKey": "example",
        "guarantorKey": "example",
        "guarantorType": "CLIENT"
      }
    ],
    "id": "example",
    "interestAccruedInBillingCycle": 1,
    "interestCommission": 1,
    "interestFromArrearsAccrued": 1,
    "interestSettings": {
      "accountInterestRateSettings": [
        {
          "encodedKey": "example",
          "indexSourceKey": "example",
          "interestRate": 1,
          "interestRateCeilingValue": 1,
          "interestRateFloorValue": 1,
          "interestRateReviewCount": 1,
          "interestRateReviewUnit": "DAYS",
          "interestRateSource": "FIXED_INTEREST_RATE",
          "interestSpread": 1,
          "validFrom": "2026-10-01T12:00:00Z"
        }
      ],
      "accrueInterestAfterMaturity": false,
      "accrueLateInterest": false,
      "effectiveInterestRate": 1,
      "interestApplicationMethod": "AFTER_DISBURSEMENT",
      "interestBalanceCalculationMethod": "ONLY_PRINCIPAL",
      "interestCalculationMethod": "FLAT",
      "interestChargeFrequency": "ANNUALIZED",
      "interestRate": 1,
      "interestRateReviewCount": 1,
      "interestRateReviewUnit": "DAYS",
      "interestRateSource": "FIXED_INTEREST_RATE",
      "interestSpread": 1,
      "interestType": "SIMPLE_INTEREST",
      "pmtAdjustmentThreshold": {
        "method": "WORKING_DAYS",
        "numberOfDays": 1
      }
    },
    "lastAccountAppraisalDate": "2026-10-01T12:00:00Z",
    "lastInterestAppliedDate": "2026-10-01T12:00:00Z",
    "lastInterestReviewDate": "2026-10-01T12:00:00Z",
    "lastLockedDate": "2026-10-01T12:00:00Z",
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "lastSetToArrearsDate": "2026-10-01T12:00:00Z",
    "lastTaxRateReviewDate": "2026-10-01T12:00:00Z",
    "latePaymentsRecalculationMethod": "OVERDUE_INSTALLMENTS_INCREASE",
    "loanAmount": 1,
    "loanName": "example",
    "lockedAccountTotalDueType": "BALANCE_AMOUNT",
    "lockedOperations": [
      "APPLY_INTEREST"
    ],
    "migrationEventKey": "example",
    "modifyInterestForFirstInstallment": false,
    "notes": "example",
    "originalAccountKey": "example",
    "paymentHolidaysAccruedInterest": 1,
    "paymentMethod": "HORIZONTAL",
    "penaltySettings": {
      "loanPenaltyCalculationMethod": "NONE",
      "penaltyRate": 1
    },
    "plannedInstallmentFees": [
      {
        "amount": 1,
        "applyOnDate": "2026-10-01T12:00:00Z",
        "encodedKey": "example",
        "installmentKey": "example",
        "installmentNumber": 1,
        "predefinedFeeKey": "example"
      }
    ],
    "prepaymentSettings": {
      "applyInterestOnPrepaymentMethod": "AUTOMATIC",
      "elementsRecalculationMethod": "PRINCIPAL_EXPECTED_FIXED",
      "ercAllowanceNextResetDate": "2026-10-01T12:00:00Z",
      "ercFreeAllowanceAmount": 1,
      "ercFreeAllowancePercentage": 1,
      "prepaymentRecalculationMethod": "NO_RECALCULATION",
      "principalPaidInstallmentStatus": "PARTIALLY_PAID"
    },
    "principalPaymentSettings": {
      "amount": 1,
      "encodedKey": "example",
      "includeFeesInFloorAmount": false,
      "includeInterestInFloorAmount": false,
      "percentage": 1,
      "principalCeilingValue": 1,
      "principalFloorValue": 1,
      "principalPaymentMethod": "FLAT",
      "totalDueAmountFloor": 1,
      "totalDuePayment": "FLAT"
    },
    "productTypeKey": "example",
    "redrawSettings": {
      "restrictNextDueWithdrawal": false
    },
    "rescheduledAccountKey": "example",
    "scheduleSettings": {
      "amortizationPeriod": 1,
      "billingCycle": {
        "days": [
          1
        ]
      },
      "defaultFirstRepaymentDueDateOffset": 1,
      "fixedDaysOfMonth": [
        1
      ],
      "gracePeriod": 1,
      "gracePeriodType": "NONE",
      "hasCustomSchedule": false,
      "paymentPlan": [
        {
          "amount": 1,
          "encodedKey": "example",
          "toInstallment": 1
        }
      ],
      "paymentScheduleFrequency": "WEEKLY",
      "periodicPayment": 1,
      "previewSchedule": {
        "numberOfPreviewedInstalments": 1
      },
      "principalRepaymentInterval": 1,
      "repaymentInstallments": 1,
      "repaymentPeriodCount": 1,
      "repaymentPeriodUnit": "DAYS",
      "repaymentScheduleMethod": "NONE",
      "scheduleDueDatesMethod": "INTERVAL",
      "shortMonthHandlingMethod": "LAST_DAY_IN_MONTH"
    },
    "settlementAccountKey": "example",
    "taxRate": 1,
    "terminationDate": "2026-10-01T12:00:00Z",
    "tranches": [
      {
        "amount": 1,
        "disbursementDetails": {
          "disbursementTransactionKey": "example",
          "expectedDisbursementDate": "2026-10-01T12:00:00Z"
        },
        "encodedKey": "example",
        "fees": [
          {
            "amount": 1,
            "encodedKey": "example",
            "fee": {
              "accountingRules": [
                {}
              ],
              "amortizationSettings": {},
              "amount": 1,
              "amountCalculationFunctionName": "example",
              "amountCalculationMethod": "FLAT",
              "applyDateMethod": "MONTHLY_FROM_ACTIVATION",
              "creationDate": "2026-10-01T12:00:00Z",
              "defaultFeeRate": 1,
              "encodedKey": "example",
              "feeApplication": "REQUIRED",
              "id": "example",
              "includeInPenalty": false,
              "interestBearing": false,
              "lastModifiedDate": "2026-10-01T12:00:00Z",
              "name": "example",
              "percentageAmount": 1,
              "scheduleAllocationMethod": "ON_INSTALLMENT",
              "state": "ACTIVE",
              "taxSettings": {},
              "trigger": "MANUAL"
            },
            "percentage": 1,
            "predefinedFeeEncodedKey": "example"
          }
        ],
        "trancheNumber": 1
      }
    ],
    "useInterestAccruedAsTotalDueWhenIntervalIsDifferent": false
  },
  "has_more": false,
  "next_cursor": null
}

Get loan balances

Get loan account balances

Inputs

LoanAccountIdloanAccountIdtextRequired
The ID or encoded key of the loan account.

Outputs

Value.

dataobject
Balances for a loan account
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "balances": [
      "nonScheduledFeeBalance"
    ]
  },
  "has_more": false,
  "next_cursor": null
}

Get loan product

Get loan product

Inputs

LoanProductIdloanProductIdtextRequired
The ID or encoded key of the loan product to be returned.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.

Outputs

Value.

dataobject
Represents a loan product.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": {
    "accountLinkSettings": {
      "enabled": false,
      "linkableDepositProductKey": "example",
      "linkedAccountOptions": [
        "AUTO_LINK_ACCOUNTS"
      ],
      "settlementMethod": "FULL_DUE_AMOUNTS"
    },
    "accountingSettings": {
      "accountingMethod": "NONE",
      "accountingRules": [
        {
          "encodedKey": "example",
          "financialResource": "PORTFOLIO_CONTROL",
          "glAccountKey": "example",
          "transactionChannelKey": "example"
        }
      ],
      "interestAccrualCalculation": "NONE",
      "interestAccruedAccountingMethod": "NONE",
      "suspendedIncomeEnabled": false
    },
    "adjustInterestForFirstInstallment": false,
    "adjustTotalDueForInstallmentsWithDifferentInterval": false,
    "allowAdvanceRepayment": false,
    "allowCustomRepaymentAllocation": false,
    "allowUnappliedFunds": false,
    "arrearsSettings": {
      "dateCalculationMethod": "ACCOUNT_FIRST_WENT_TO_ARREARS",
      "encodedKey": "example",
      "monthlyToleranceDay": 1,
      "nonWorkingDaysMethod": "INCLUDED",
      "toleranceCalculationMethod": "ARREARS_TOLERANCE_PERIOD",
      "toleranceFloorAmount": 1,
      "tolerancePercentageOfOutstandingPrincipal": {
        "defaultValue": 1,
        "maxValue": 1,
        "minValue": 1
      },
      "tolerancePeriod": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      }
    },
    "availabilitySettings": {
      "availableFor": [
        "INDIVIDUALS"
      ],
      "branchSettings": {
        "availableProductBranches": [
          "example"
        ],
        "forAllBranches": false
      }
    },
    "category": "PERSONAL_LENDING",
    "creationDate": "2026-10-01T12:00:00Z",
    "creditArrangementSettings": {
      "creditArrangementRequirement": "OPTIONAL"
    },
    "currency": {
      "code": "AED",
      "currencyCode": "example"
    },
    "encodedKey": "example",
    "feesSettings": {
      "allowArbitraryFees": false,
      "fees": [
        {
          "accountingRules": [
            {
              "encodedKey": "example",
              "financialResource": "PORTFOLIO_CONTROL",
              "glAccountKey": "example",
              "transactionChannelKey": "example"
            }
          ],
          "amortizationSettings": {
            "amortizationProfile": "NONE",
            "encodedKey": "example",
            "feeAmortizationUponRescheduleRefinanceOption": "END_AMORTIZATION_ON_THE_ORIGINAL_ACCOUNT",
            "frequency": "ACCOUNT_INSTALLMENTS_DUE_DATES",
            "intervalCount": 1,
            "intervalType": "PREDEFINED_INTERVALS",
            "periodCount": 1,
            "periodUnit": "DAYS"
          },
          "amount": 1,
          "amountCalculationFunctionName": "example",
          "amountCalculationMethod": "FLAT",
          "applyDateMethod": "MONTHLY_FROM_ACTIVATION",
          "creationDate": "2026-10-01T12:00:00Z",
          "defaultFeeRate": 1,
          "encodedKey": "example",
          "feeApplication": "REQUIRED",
          "id": "example",
          "includeInPenalty": false,
          "interestBearing": false,
          "lastModifiedDate": "2026-10-01T12:00:00Z",
          "name": "example",
          "percentageAmount": 1,
          "scheduleAllocationMethod": "ON_INSTALLMENT",
          "state": "ACTIVE",
          "taxSettings": {
            "taxableCalculationMethod": "DEFAULT"
          },
          "trigger": "MANUAL"
        }
      ]
    },
    "fundingSettings": {
      "enabled": false,
      "funderInterestCommission": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      },
      "funderInterestCommissionAllocationType": "PERCENTAGE_OF_LOAN_FUNDING",
      "lockFundsAtApproval": false,
      "organizationInterestCommission": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      },
      "requiredFunds": 1
    },
    "gracePeriodSettings": {
      "gracePeriod": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      },
      "gracePeriodType": "NONE"
    },
    "id": "example",
    "interestSettings": {
      "accrueLateInterest": false,
      "compoundingFrequency": "DAILY",
      "daysInYear": "ACTUAL_365_FIXED",
      "decoupleInterestFromArrears": false,
      "indexRateSettings": {
        "accrueInterestAfterMaturity": false,
        "allowNegativeInterestRate": false,
        "encodedKey": "example",
        "indexSourceKey": "example",
        "interestChargeFrequency": "ANNUALIZED",
        "interestChargeFrequencyCount": 1,
        "interestRate": {
          "defaultValue": 1,
          "maxValue": 1,
          "minValue": 1
        },
        "interestRateCeilingValue": 1,
        "interestRateFloorValue": 1,
        "interestRateReviewCount": 1,
        "interestRateReviewUnit": "DAYS",
        "interestRateSource": "FIXED_INTEREST_RATE",
        "interestRateTerms": "FIXED",
        "interestRateTiers": [
          {
            "encodedKey": "example",
            "endingBalance": 1,
            "interestRate": 1
          }
        ]
      },
      "interestApplicationMethod": "AFTER_DISBURSEMENT",
      "interestBalanceCalculationMethod": "ONLY_PRINCIPAL",
      "interestCalculationMethod": "FLAT",
      "interestRateSettings": [
        {
          "encodedKey": "example",
          "indexSourceKey": "example",
          "interestRate": {
            "defaultValue": 1,
            "maxValue": 1,
            "minValue": 1
          },
          "interestRateCeilingValue": 1,
          "interestRateFloorValue": 1,
          "interestRateReviewCount": 1,
          "interestRateReviewUnit": "DAYS",
          "interestRateSource": "FIXED_INTEREST_RATE"
        }
      ],
      "interestType": "SIMPLE_INTEREST",
      "pmtAdjustmentThreshold": {
        "method": "WORKING_DAYS",
        "numberOfDays": 1
      },
      "scheduleInterestDaysCountMethod": "REPAYMENT_PERIODICITY"
    },
    "internalControls": {
      "dormancyPeriodDays": 1,
      "fourEyesPrinciple": {
        "activeForLoanApproval": false
      },
      "lockSettings": {
        "cappingApplyAccruedChargesBeforeLocking": false,
        "cappingConstraintType": "SOFT_CAP",
        "cappingMethod": "OUTSTANDING_PRINCIPAL_PERCENTAGE",
        "cappingPercentage": 1,
        "lockPeriodDays": 1
      }
    },
    "lastModifiedDate": "2026-10-01T12:00:00Z",
    "loanAmountSettings": {
      "loanAmount": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      },
      "trancheSettings": {
        "maxNumberOfTranches": 1
      }
    },
    "name": "example",
    "newAccountSettings": {
      "accountInitialState": "PARTIAL_APPLICATION",
      "idGeneratorType": "INCREMENTAL_NUMBER",
      "idPattern": "example"
    },
    "notes": "example",
    "offsetSettings": {
      "allowOffset": false
    },
    "paymentSettings": {
      "amortizationMethod": "STANDARD_PAYMENTS",
      "latePaymentsRecalculationMethod": "OVERDUE_INSTALLMENTS_INCREASE",
      "paymentArrangementEnabled": false,
      "paymentMethod": "HORIZONTAL",
      "prepaymentSettings": {
        "applyInterestOnPrepaymentMethod": "AUTOMATIC",
        "elementsRecalculationMethod": "PRINCIPAL_EXPECTED_FIXED",
        "ercFreeAllowance": 1,
        "futurePaymentsAcceptance": "NO_FUTURE_PAYMENTS",
        "prepaymentAcceptance": "ACCEPT_PREPAYMENTS",
        "prepaymentRecalculationMethod": "NO_RECALCULATION",
        "principalPaidInstallmentStatus": "PARTIALLY_PAID"
      },
      "principalPaymentSettings": {
        "amount": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "defaultPrincipalRepaymentInterval": 1,
        "encodedKey": "example",
        "includeFeesInFloorAmount": false,
        "includeInterestInFloorAmount": false,
        "percentage": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "principalCeilingValue": 1,
        "principalFloorValue": 1,
        "principalPaymentMethod": "FLAT",
        "totalDueAmountFloor": 1,
        "totalDuePayment": "FLAT"
      },
      "repaymentAllocationOrder": [
        "PRINCIPAL"
      ]
    },
    "penaltySettings": {
      "loanPenaltyCalculationMethod": "NONE",
      "loanPenaltyGracePeriod": 1,
      "penaltyRate": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      }
    },
    "redrawSettings": {
      "allowRedraw": false
    },
    "revolvingProductCreditBalance": {
      "allowDepositWithDebitBalance": false,
      "creditBalanceAutoAllocation": "example",
      "enabled": false,
      "encodedKey": "example",
      "maxCreditBalance": 1
    },
    "revolvingProductRefundSettings": {
      "maxDaysForRefund": 1,
      "refundRecalculationMethod": "LEGACY"
    },
    "scheduleSettings": {
      "amortizationPeriod": {
        "defaultValue": 1,
        "maxValue": 1,
        "minValue": 1
      },
      "billingCycles": {
        "enabled": false,
        "startDays": [
          1
        ]
      },
      "defaultRepaymentPeriodCount": 1,
      "firstRepaymentDueDateOffset": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      },
      "fixedDaysOfMonth": [
        1
      ],
      "interestAccrualSince": "DISBURSEMENT",
      "keepInstallmentsEqualForPaymentHoliday": false,
      "keepInstallmentsEqualIfLongFirstPeriod": false,
      "numInstallments": {
        "defaultValue": 1,
        "encodedKey": "example",
        "maxValue": 1,
        "minValue": 1
      },
      "paymentScheduleFrequency": "WEEKLY",
      "previewSchedule": {
        "numberOfPreviewedInstalments": 1,
        "previewScheduleEnabled": false
      },
      "repaymentMethod": "AMOUNT",
      "repaymentPeriodUnit": "DAYS",
      "repaymentReschedulingMethod": "NONE",
      "repaymentScheduleEditOptions": [
        "ADJUST_PAYMENT_DATES"
      ],
      "repaymentScheduleMethod": "NONE",
      "roundingSettings": {
        "repaymentCurrencyRounding": "NO_ROUNDING",
        "repaymentElementsRoundingMethod": "NO_ROUNDING",
        "roundingRepaymentScheduleMethod": "NO_ROUNDING"
      },
      "scheduleDueDatesMethod": "INTERVAL",
      "scheduleEditOptionDetails": {
        "paymentHolidaysSettings": {
          "paymentHolidaysLoanTermOption": "EXTEND_LOAN_TERM"
        }
      },
      "shortMonthHandlingMethod": "LAST_DAY_IN_MONTH"
    },
    "securitySettings": {
      "isCollateralEnabled": false,
      "isGuarantorsEnabled": false,
      "requiredGuaranties": 1
    },
    "state": "ACTIVE",
    "taxSettings": {
      "taxCalculationMethod": "INCLUSIVE",
      "taxSourceKey": "example",
      "taxesOnFeesEnabled": false,
      "taxesOnInterestEnabled": false,
      "taxesOnPenaltyEnabled": false
    },
    "templates": [
      {
        "creationDate": "2026-10-01T12:00:00Z",
        "encodedKey": "example",
        "lastModifiedDate": "2026-10-01T12:00:00Z",
        "name": "example",
        "type": "ACCOUNT"
      }
    ],
    "type": "FIXED_TERM_LOAN",
    "useFeeIncludedInPMT": false,
    "useInterestAccruedAsTotalDueWhenIntervalIsDifferent": false
  },
  "has_more": false,
  "next_cursor": null
}

List branches

Get branches

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.
SortBysortBytext
The criteria based on which the records will be sorted. Expected format is , for example, sortBy = field1:ASC,field2:DESC. Only the following fields can be used: id,name, creationDate, lastModifiedDate Default sorting is done by creationDate:DESC

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "addresses": [
        {
          "city": "example",
          "country": "example",
          "encodedKey": "example",
          "indexInList": 1,
          "latitude": 1,
          "line1": "example",
          "line2": "example",
          "longitude": 1,
          "parentKey": "example",
          "postcode": "example",
          "region": "example"
        }
      ],
      "branchHolidays": [
        {
          "creationDate": "2026-10-01T12:00:00Z",
          "date": "2026-10-01",
          "encodedKey": "example",
          "id": 1,
          "isAnnuallyRecurring": false,
          "name": "example"
        }
      ],
      "creationDate": "2026-10-01T12:00:00Z",
      "emailAddress": "example",
      "encodedKey": "example",
      "id": "example",
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "name": "example",
      "notes": "example",
      "phoneNumber": "example",
      "state": "ACTIVE"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List clients

Get clients

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.
CreditOfficerUsernamecreditOfficerUsernametext
The username of the credit officer to whom the entities are assigned to
BranchIdbranchIdtext
The id/encodedKey of the branch to which the entities are assigned to
CentreIdcentreIdtext
The id/encodedKey of the centre to which the entities are assigned to
FirstNamefirstNametext
The first name, personal name, given name, or forename of the client.
LastNamelastNametext
The last name, surname, or family name of the client.
IdNumberidNumbertext
The ID number of the client's identification document.
Statestatetext
The state of the client to search for.One of: PENDING_APPROVAL, INACTIVE, ACTIVE, EXITED, BLACKLISTED, REJECTED.
BirthDatebirthDatedate
The birth date of the client to search for.
SortBysortBytext
The criteria based on which the records will be sorted. Expected format is , for example, sortBy = field1:ASC,field2:DESC. Only the following fields can be used: firstName, lastName, creationDate, lastModifiedDate Default sorting is done by creationDate:ASC

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "activationDate": "2026-10-01T12:00:00Z",
      "addresses": [
        {
          "city": "example",
          "country": "example",
          "encodedKey": "example",
          "indexInList": 1,
          "latitude": 1,
          "line1": "example",
          "line2": "example",
          "longitude": 1,
          "parentKey": "example",
          "postcode": "example",
          "region": "example"
        }
      ],
      "approvedDate": "2026-10-01T12:00:00Z",
      "assignedBranchKey": "example",
      "assignedCentreKey": "example",
      "assignedUserKey": "example",
      "birthDate": "2026-10-01",
      "clientRoleKey": "example",
      "closedDate": "2026-10-01T12:00:00Z",
      "creationDate": "2026-10-01T12:00:00Z",
      "emailAddress": "example",
      "encodedKey": "example",
      "firstName": "example",
      "gender": "MALE",
      "groupKeys": [
        "example"
      ],
      "groupLoanCycle": 1,
      "homePhone": "example",
      "id": "example",
      "idDocuments": [
        {
          "attachments": [
            {
              "creationDate": "2026-10-01T12:00:00Z",
              "encodedKey": "example",
              "fileName": "example",
              "fileSize": 1,
              "id": 1,
              "lastModifiedDate": "2026-10-01T12:00:00Z",
              "location": "example",
              "name": "example",
              "notes": "example",
              "ownerKey": "example",
              "ownerType": "CLIENT",
              "type": "example"
            }
          ],
          "clientKey": "example",
          "documentId": "example",
          "documentType": "example",
          "encodedKey": "example",
          "identificationDocumentTemplateKey": "example",
          "indexInList": 1,
          "issuingAuthority": "example",
          "validUntil": "2026-10-01"
        }
      ],
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "lastName": "example",
      "loanCycle": 1,
      "middleName": "example",
      "migrationEventKey": "example",
      "mobilePhone": "example",
      "mobilePhone2": "example",
      "notes": "example",
      "portalSettings": {
        "encodedKey": "example",
        "lastLoggedInDate": "2026-10-01T12:00:00Z",
        "portalState": "ENABLED"
      },
      "preferredLanguage": "ENGLISH",
      "profilePictureKey": "example",
      "profileSignatureKey": "example",
      "state": "PENDING_APPROVAL"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List currencies

Get all currencies

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.
Typetypetext
Model representation of the currency type.One of: FIAT_CURRENCY, CRYPTOCURRENCY, NON_TRADITIONAL_CURRENCY.

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "baseCurrency": false,
      "code": "example",
      "creationDate": "2026-10-01T12:00:00Z",
      "currencyHolidays": [
        {
          "creationDate": "2026-10-01T12:00:00Z",
          "date": "2026-10-01",
          "encodedKey": "example",
          "id": 1,
          "isAnnuallyRecurring": false,
          "name": "example"
        }
      ],
      "currencySymbolPosition": "BEFORE_NUMBER",
      "digitsAfterDecimal": 1,
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "name": "example",
      "numericCode": "example",
      "symbol": "example",
      "type": "FIAT_CURRENCY"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List deposit accounts

Get deposit accounts

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.
CreditOfficerUsernamecreditOfficerUsernametext
The username of the credit officer assigned to the deposit accounts.
BranchIdbranchIdtext
The ID or encoded key of the branch assigned to the deposit accounts.
CentreIdcentreIdtext
The ID or encoded key of the centre assigned to the deposit accounts.
AccountStateaccountStatetext
The state to use to filter deposit accounts by.One of: PENDING_APPROVAL, APPROVED, ACTIVE, ACTIVE_IN_ARREARS, MATURED, LOCKED, DORMANT, CLOSED, CLOSED_WRITTEN_OFF, WITHDRAWN, CLOSED_REJECTED.
AccountHolderTypeaccountHolderTypetext
The account holder type.One of: CLIENT, GROUP.
AccountHolderIdaccountHolderIdtext
The ID of the account holder.

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "accountHolderKey": "example",
      "accountHolderType": "CLIENT",
      "accountState": "PENDING_APPROVAL",
      "accountType": "CURRENT_ACCOUNT",
      "accruedAmounts": {
        "interestAccrued": 1,
        "negativeInterestAccrued": 1,
        "overdraftInterestAccrued": 1,
        "technicalOverdraftInterestAccrued": 1
      },
      "activationDate": "2026-10-01T12:00:00Z",
      "approvedDate": "2026-10-01T12:00:00Z",
      "assignedBranchKey": "example",
      "assignedCentreKey": "example",
      "assignedUserKey": "example",
      "balances": {
        "availableBalance": 1,
        "blockedBalance": 1,
        "feesDue": 1,
        "forwardAvailableBalance": 1,
        "holdBalance": 1,
        "lockedBalance": 1,
        "overdraftAmount": 1,
        "overdraftInterestDue": 1,
        "technicalOverdraftAmount": 1,
        "technicalOverdraftInterestDue": 1,
        "totalBalance": 1
      },
      "closedDate": "2026-10-01T12:00:00Z",
      "courtesyPaySettings": {
        "allowCourtesyPay": false,
        "courtesyPayLimit": 1
      },
      "creationDate": "2026-10-01T12:00:00Z",
      "creditArrangementKey": "example",
      "currencyCode": "example",
      "encodedKey": "example",
      "id": "example",
      "interestSettings": {
        "interestPaymentSettings": {
          "interestPaymentDates": [
            {
              "day": 1,
              "month": 1
            }
          ],
          "interestPaymentPoint": "FIRST_DAY_OF_MONTH"
        },
        "interestRateSettings": {
          "encodedKey": "example",
          "interestChargeFrequency": "ANNUALIZED",
          "interestChargeFrequencyCount": 1,
          "interestRate": 1,
          "interestRateReviewCount": 1,
          "interestRateReviewUnit": "DAYS",
          "interestRateSource": "FIXED_INTEREST_RATE",
          "interestRateTerms": "FIXED",
          "interestRateTiers": [
            {
              "encodedKey": "example",
              "endingBalance": 1,
              "endingDay": 1,
              "interestRate": 1
            }
          ],
          "interestSpread": 1
        }
      },
      "internalControls": {
        "maxDepositBalance": 1,
        "maxWithdrawalAmount": 1,
        "recommendedDepositAmount": 1,
        "targetAmount": 1
      },
      "lastAccountAppraisalDate": "2026-10-01T12:00:00Z",
      "lastInterestCalculationDate": "2026-10-01T12:00:00Z",
      "lastInterestReviewDate": "2026-10-01T12:00:00Z",
      "lastInterestStoredDate": "2026-10-01T12:00:00Z",
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "lastOverdraftInterestReviewDate": "2026-10-01T12:00:00Z",
      "lastSetToArrearsDate": "2026-10-01T12:00:00Z",
      "linkedSettlementAccountKeys": [
        "example"
      ],
      "lockedDate": "2026-10-01T12:00:00Z",
      "maturityDate": "2026-10-01T12:00:00Z",
      "migrationEventKey": "example",
      "name": "example",
      "notes": "example",
      "overdraftInterestSettings": {
        "interestRateSettings": {
          "encodedKey": "example",
          "interestChargeFrequency": "ANNUALIZED",
          "interestChargeFrequencyCount": 1,
          "interestRate": 1,
          "interestRateReviewCount": 1,
          "interestRateReviewUnit": "DAYS",
          "interestRateSource": "FIXED_INTEREST_RATE",
          "interestRateTerms": "FIXED",
          "interestRateTiers": [
            {
              "encodedKey": "example",
              "endingBalance": 1,
              "endingDay": 1,
              "interestRate": 1
            }
          ],
          "interestSpread": 1
        }
      },
      "overdraftSettings": {
        "allowOverdraft": false,
        "overdraftExpiryDate": "2026-10-01T12:00:00Z",
        "overdraftLimit": 1
      },
      "ownershipHistory": [
        {
          "previousOwnerKey": "example",
          "transferDate": "2026-10-01T12:00:00Z"
        }
      ],
      "productTypeKey": "example",
      "withholdingTaxSourceKey": "example"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List deposit products

Get deposit products

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.
BranchIdbranchIdtext
The id of the branch to which the product applies to

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "accountingSettings": {
        "accountingMethod": "NONE",
        "accountingRules": [
          {
            "encodedKey": "example",
            "financialResource": "PORTFOLIO_CONTROL",
            "glAccountKey": "example"
          }
        ],
        "interestAccrualCalculation": "NONE",
        "interestAccruedAccountingMethod": "NONE"
      },
      "availabilitySettings": {
        "availableFor": [
          "INDIVIDUALS"
        ],
        "branchSettings": {
          "availableProductBranches": [
            "example"
          ],
          "forAllBranches": false
        }
      },
      "category": "PERSONAL_DEPOSIT",
      "creationDate": "2026-10-01T12:00:00Z",
      "creditArrangementSettings": {
        "creditArrangementRequirement": "OPTIONAL"
      },
      "currencySettings": {
        "currencies": [
          {
            "code": "AED",
            "currencyCode": "example"
          }
        ]
      },
      "encodedKey": "example",
      "feesSettings": {
        "allowArbitraryFees": false,
        "fees": [
          {
            "accountingRules": [
              {}
            ],
            "amount": 1,
            "amountCalculationFunctionName": "example",
            "amountCalculationMethod": "FLAT",
            "applyDateMethod": "MONTHLY_FROM_ACTIVATION",
            "creationDate": "2026-10-01T12:00:00Z",
            "encodedKey": "example",
            "feeApplication": "REQUIRED",
            "id": "example",
            "lastModifiedDate": "2026-10-01T12:00:00Z",
            "name": "example",
            "state": "ACTIVE",
            "trigger": "MANUAL"
          }
        ]
      },
      "id": "example",
      "interestSettings": {
        "collectInterestWhenLocked": false,
        "daysInYear": "ACTUAL_365_FIXED",
        "interestCalculationBalance": "MINIMUM",
        "interestGainsProvidedEndDate": "2026-10-01",
        "interestGainsProvidedStartDate": "2026-10-01",
        "interestPaidIntoAccount": false,
        "interestPaymentSettings": {
          "interestPaymentDates": [
            {
              "day": 1,
              "month": 1
            }
          ],
          "interestPaymentPoint": "FIRST_DAY_OF_MONTH"
        },
        "interestRateSettings": {
          "accrueInterestAfterMaturity": false,
          "allowNegativeInterestRate": false,
          "encodedKey": "example",
          "indexSourceKey": "example",
          "interestChargeFrequency": "ANNUALIZED",
          "interestChargeFrequencyCount": 1,
          "interestRate": {
            "defaultValue": 1,
            "maxValue": 1,
            "minValue": 1
          },
          "interestRateReviewCount": 1,
          "interestRateReviewUnit": "DAYS",
          "interestRateSource": "FIXED_INTEREST_RATE",
          "interestRateTerms": "FIXED",
          "interestRateTiers": [
            {
              "encodedKey": "example",
              "endingBalance": 1,
              "endingDay": 1,
              "interestRate": 1
            }
          ]
        },
        "maximumBalance": 1
      },
      "internalControls": {
        "dormancyPeriodDays": 1,
        "maxWithdrawalAmount": 1,
        "openingBalance": {
          "defaultValue": 1,
          "maxValue": 1,
          "minValue": 1
        },
        "recommendedDepositAmount": 1
      },
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "maturitySettings": {
        "maturityPeriod": {
          "defaultValue": 1,
          "maxValue": 1,
          "minValue": 1
        },
        "maturityPeriodUnit": "DAYS"
      },
      "name": "example",
      "newAccountSettings": {
        "idGeneratorType": "INCREMENTAL_NUMBER",
        "idPattern": "example"
      },
      "notes": "example",
      "offsetSettings": {
        "allowOffset": false
      },
      "overdraftInterestSettings": {
        "daysInYear": "ACTUAL_365_FIXED",
        "interestCalculationBalance": "MINIMUM",
        "interestRateSettings": {
          "indexSourceKey": "example",
          "interestChargeFrequency": "ANNUALIZED",
          "interestChargeFrequencyCount": 1,
          "interestRate": {
            "defaultValue": 1,
            "maxValue": 1,
            "minValue": 1
          },
          "interestRateReviewCount": 1,
          "interestRateReviewUnit": "DAYS",
          "interestRateSource": "FIXED_INTEREST_RATE",
          "interestRateTerms": "FIXED",
          "interestRateTiers": [
            {
              "encodedKey": "example",
              "endingBalance": 1,
              "interestRate": 1
            }
          ]
        }
      },
      "overdraftSettings": {
        "allowOverdraft": false,
        "allowTechnicalOverdraft": false,
        "maxOverdraftLimit": 1
      },
      "state": "ACTIVE",
      "taxSettings": {
        "withholdingTaxEnabled": false
      },
      "templates": [
        {
          "creationDate": "2026-10-01T12:00:00Z",
          "encodedKey": "example",
          "lastModifiedDate": "2026-10-01T12:00:00Z",
          "name": "example",
          "type": "ACCOUNT"
        }
      ],
      "type": "CURRENT_ACCOUNT"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List general ledger accounts

Get general ledger accounts

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
TypetypetextRequired
The general ledger account type.One of: ASSET, LIABILITY, EQUITY, INCOME, EXPENSE.
From valuefrom_valuedate
The start date to calculate the account balance from.
Totodate
The end date to calculate the account balance to.
BranchIdbranchIdtext
The branch ID that the general ledger account balances are generated for.
BalanceExcludedbalanceExcludedtrue/false
`TRUE` if the balance is excluded, `FALSE` otherwise.

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "activated": false,
      "allowManualJournalEntries": false,
      "balance": 1,
      "creationDate": "2026-10-01T12:00:00Z",
      "currency": {
        "code": "AED",
        "currencyCode": "example"
      },
      "description": "example",
      "encodedKey": "example",
      "glCode": "example",
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "migrationEventKey": "example",
      "name": "example",
      "stripTrailingZeros": false,
      "type": "ASSET",
      "usage": "DETAIL"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List groups

Get groups

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.
CreditOfficerUsernamecreditOfficerUsernametext
The username of the credit officer to whom the entities are assigned to
BranchIdbranchIdtext
The id/encodedKey of the branch to which the entities are assigned to
CentreIdcentreIdtext
The id/encodedKey of the centre to which the entities are assigned to
SortBysortBytext
The criteria based on which the records will be sorted. Expected format is , for example, sortBy = field1:ASC,field2:DESC. Only the following fields can be used: creationDate, lastModifiedDate, groupName Default sorting is done by creationDate:DESC

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "addresses": [
        {
          "city": "example",
          "country": "example",
          "encodedKey": "example",
          "indexInList": 1,
          "latitude": 1,
          "line1": "example",
          "line2": "example",
          "longitude": 1,
          "parentKey": "example",
          "postcode": "example",
          "region": "example"
        }
      ],
      "assignedBranchKey": "example",
      "assignedCentreKey": "example",
      "assignedUserKey": "example",
      "creationDate": "2026-10-01T12:00:00Z",
      "emailAddress": "example",
      "encodedKey": "example",
      "groupMembers": [
        {
          "clientKey": "example",
          "roles": [
            {
              "encodedKey": "example",
              "groupRoleNameKey": "example",
              "roleName": "example",
              "roleNameId": "example"
            }
          ]
        }
      ],
      "groupName": "example",
      "groupRoleKey": "example",
      "homePhone": "example",
      "id": "example",
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "loanCycle": 1,
      "migrationEventKey": "example",
      "mobilePhone": "example",
      "notes": "example",
      "preferredLanguage": "ENGLISH"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List loan accounts

Get loan accounts

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
DetailsLeveldetailsLeveltext
The level of details to return: `FULL` means the full details of the object will be returned (custom field values, address, contact info, or any other related objects) and `BASIC` will return only the first level elements of the object.One of: BASIC, FULL.
CreditOfficerUsernamecreditOfficerUsernametext
The username of the credit officer to whom the entities are assigned to
BranchIdbranchIdtext
The id/encodedKey of the branch to which the entities are assigned to
CentreIdcentreIdtext
The id/encodedKey of the centre to which the entities are assigned to
AccountStateaccountStatetext
The state of the loan account to search forOne of: PARTIAL_APPLICATION, PENDING_APPROVAL, APPROVED, ACTIVE, ACTIVE_IN_ARREARS, CLOSED, CLOSED_WRITTEN_OFF, CLOSED_REJECTED.
AccountHolderTypeaccountHolderTypetext
The type of the account holder: CLIENT/GROUPOne of: CLIENT, GROUP.
AccountHolderIdaccountHolderIdtext
The id of the account holder
SortBysortBytext
The criteria based on which the records will be sorted. Expected format is , for example, sortBy = field1:ASC,field2:DESC. Only the following fields can be used: id, loanName, creationDate, lastModifiedDate Default sorting is done by creationDate:ASC

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "_Example_Custom_Fields": {
        "Example_Checkbox_Field": "TRUE",
        "Example_ClientLink_Field": "example",
        "Example_Date_Field": "2026-10-01",
        "Example_Datetime_Field": "example",
        "Example_Free_Text_Field": "example",
        "Example_GroupLink_Field": "example",
        "Example_Number_Field": "example",
        "Example_Select_Field": {},
        "Example_UserLink_Field": "example"
      },
      "accountArrearsSettings": {
        "dateCalculationMethod": "ACCOUNT_FIRST_WENT_TO_ARREARS",
        "encodedKey": "example",
        "monthlyToleranceDay": 1,
        "nonWorkingDaysMethod": "INCLUDED",
        "toleranceCalculationMethod": "ARREARS_TOLERANCE_PERIOD",
        "toleranceFloorAmount": 1,
        "tolerancePercentageOfOutstandingPrincipal": 1,
        "tolerancePeriod": 1
      },
      "accountHolderKey": "example",
      "accountHolderType": "CLIENT",
      "accountState": "PARTIAL_APPLICATION",
      "accountSubState": "PARTIALLY_DISBURSED",
      "accruedInterest": 1,
      "accruedPenalty": 1,
      "activationTransactionKey": "example",
      "adjustTotalDueForInstallmentsWithDifferentInterval": false,
      "allowAdvanceRepayment": false,
      "allowOffset": false,
      "approvedDate": "2026-10-01T12:00:00Z",
      "arrearsTolerancePeriod": 1,
      "assets": [
        {
          "amount": 1,
          "assetName": "example",
          "depositAccountKey": "example",
          "encodedKey": "example",
          "guarantorKey": "example",
          "guarantorType": "CLIENT",
          "originalAmount": 1,
          "originalCurrency": {
            "code": "AED",
            "currencyCode": "example"
          }
        }
      ],
      "assignedBranchKey": "example",
      "assignedCentreKey": "example",
      "assignedUserKey": "example",
      "balances": {
        "creditBalance": 1,
        "feesBalance": 1,
        "feesDue": 1,
        "feesPaid": 1,
        "holdBalance": 1,
        "interestBalance": 1,
        "interestDue": 1,
        "interestFromArrearsBalance": 1,
        "interestFromArrearsDue": 1,
        "interestFromArrearsPaid": 1,
        "interestPaid": 1,
        "penaltyBalance": 1,
        "penaltyDue": 1,
        "penaltyPaid": 1,
        "principalBalance": 1,
        "principalDue": 1,
        "principalPaid": 1,
        "redrawBalance": 1,
        "unappliedFundsBalance": 1
      },
      "balloonPaymentOnLastInstallment": false,
      "closedDate": "2026-10-01T12:00:00Z",
      "creationDate": "2026-10-01T12:00:00Z",
      "creditArrangementKey": "example",
      "creditBalanceSettings": {
        "allowDepositWithDebitBalance": false,
        "maxCreditBalance": 1,
        "revolvingAccountCreditBalanceAutoAllocationType": "NO_ALLOCATION"
      },
      "currency": {
        "code": "AED",
        "currencyCode": "example"
      },
      "daysInArrears": 1,
      "daysLate": 1,
      "disbursementDetails": {
        "disbursementDate": "2026-10-01T12:00:00Z",
        "encodedKey": "example",
        "expectedDisbursementDate": "2026-10-01T12:00:00Z",
        "fees": [
          {
            "amount": 1,
            "encodedKey": "example",
            "fee": {
              "accountingRules": [
                {}
              ],
              "amortizationSettings": {},
              "amount": 1,
              "amountCalculationFunctionName": "example",
              "amountCalculationMethod": "FLAT",
              "applyDateMethod": "MONTHLY_FROM_ACTIVATION",
              "creationDate": "2026-10-01T12:00:00Z",
              "defaultFeeRate": 1,
              "encodedKey": "example",
              "feeApplication": "REQUIRED",
              "id": "example",
              "includeInPenalty": false,
              "interestBearing": false,
              "lastModifiedDate": "2026-10-01T12:00:00Z",
              "name": "example",
              "percentageAmount": 1,
              "scheduleAllocationMethod": "ON_INSTALLMENT",
              "state": "ACTIVE",
              "taxSettings": {},
              "trigger": "MANUAL"
            },
            "percentage": 1,
            "predefinedFeeEncodedKey": "example"
          }
        ],
        "firstRepaymentDate": "2026-10-01T12:00:00Z",
        "transactionDetails": {
          "encodedKey": "example",
          "internalTransfer": false,
          "targetDepositAccountKey": "example",
          "transactionChannelId": "example",
          "transactionChannelKey": "example"
        }
      },
      "encodedKey": "example",
      "feesSettings": {
        "accruedFee": 1,
        "accruedFeeFromArrears": 1,
        "feeRate": 1
      },
      "fundingSources": [
        {
          "amount": 1,
          "assetName": "example",
          "depositAccountKey": "example",
          "encodedKey": "example",
          "guarantorKey": "example",
          "guarantorType": "CLIENT",
          "id": "example",
          "interestCommission": 1,
          "sharePercentage": 1
        }
      ],
      "futurePaymentsAcceptance": "NO_FUTURE_PAYMENTS",
      "guarantors": [
        {
          "amount": 1,
          "assetName": "example",
          "depositAccountKey": "example",
          "encodedKey": "example",
          "guarantorKey": "example",
          "guarantorType": "CLIENT"
        }
      ],
      "id": "example",
      "interestAccruedInBillingCycle": 1,
      "interestCommission": 1,
      "interestFromArrearsAccrued": 1,
      "interestSettings": {
        "accountInterestRateSettings": [
          {
            "encodedKey": "example",
            "indexSourceKey": "example",
            "interestRate": 1,
            "interestRateCeilingValue": 1,
            "interestRateFloorValue": 1,
            "interestRateReviewCount": 1,
            "interestRateReviewUnit": "DAYS",
            "interestRateSource": "FIXED_INTEREST_RATE",
            "interestSpread": 1,
            "validFrom": "2026-10-01T12:00:00Z"
          }
        ],
        "accrueInterestAfterMaturity": false,
        "accrueLateInterest": false,
        "effectiveInterestRate": 1,
        "interestApplicationMethod": "AFTER_DISBURSEMENT",
        "interestBalanceCalculationMethod": "ONLY_PRINCIPAL",
        "interestCalculationMethod": "FLAT",
        "interestChargeFrequency": "ANNUALIZED",
        "interestRate": 1,
        "interestRateReviewCount": 1,
        "interestRateReviewUnit": "DAYS",
        "interestRateSource": "FIXED_INTEREST_RATE",
        "interestSpread": 1,
        "interestType": "SIMPLE_INTEREST",
        "pmtAdjustmentThreshold": {
          "method": "WORKING_DAYS",
          "numberOfDays": 1
        }
      },
      "lastAccountAppraisalDate": "2026-10-01T12:00:00Z",
      "lastInterestAppliedDate": "2026-10-01T12:00:00Z",
      "lastInterestReviewDate": "2026-10-01T12:00:00Z",
      "lastLockedDate": "2026-10-01T12:00:00Z",
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "lastSetToArrearsDate": "2026-10-01T12:00:00Z",
      "lastTaxRateReviewDate": "2026-10-01T12:00:00Z",
      "latePaymentsRecalculationMethod": "OVERDUE_INSTALLMENTS_INCREASE",
      "loanAmount": 1,
      "loanName": "example",
      "lockedAccountTotalDueType": "BALANCE_AMOUNT",
      "lockedOperations": [
        "APPLY_INTEREST"
      ],
      "migrationEventKey": "example",
      "modifyInterestForFirstInstallment": false,
      "notes": "example",
      "originalAccountKey": "example",
      "paymentHolidaysAccruedInterest": 1,
      "paymentMethod": "HORIZONTAL",
      "penaltySettings": {
        "loanPenaltyCalculationMethod": "NONE",
        "penaltyRate": 1
      },
      "plannedInstallmentFees": [
        {
          "amount": 1,
          "applyOnDate": "2026-10-01T12:00:00Z",
          "encodedKey": "example",
          "installmentKey": "example",
          "installmentNumber": 1,
          "predefinedFeeKey": "example"
        }
      ],
      "prepaymentSettings": {
        "applyInterestOnPrepaymentMethod": "AUTOMATIC",
        "elementsRecalculationMethod": "PRINCIPAL_EXPECTED_FIXED",
        "ercAllowanceNextResetDate": "2026-10-01T12:00:00Z",
        "ercFreeAllowanceAmount": 1,
        "ercFreeAllowancePercentage": 1,
        "prepaymentRecalculationMethod": "NO_RECALCULATION",
        "principalPaidInstallmentStatus": "PARTIALLY_PAID"
      },
      "principalPaymentSettings": {
        "amount": 1,
        "encodedKey": "example",
        "includeFeesInFloorAmount": false,
        "includeInterestInFloorAmount": false,
        "percentage": 1,
        "principalCeilingValue": 1,
        "principalFloorValue": 1,
        "principalPaymentMethod": "FLAT",
        "totalDueAmountFloor": 1,
        "totalDuePayment": "FLAT"
      },
      "productTypeKey": "example",
      "redrawSettings": {
        "restrictNextDueWithdrawal": false
      },
      "rescheduledAccountKey": "example",
      "scheduleSettings": {
        "amortizationPeriod": 1,
        "billingCycle": {
          "days": [
            1
          ]
        },
        "defaultFirstRepaymentDueDateOffset": 1,
        "fixedDaysOfMonth": [
          1
        ],
        "gracePeriod": 1,
        "gracePeriodType": "NONE",
        "hasCustomSchedule": false,
        "paymentPlan": [
          {
            "amount": 1,
            "encodedKey": "example",
            "toInstallment": 1
          }
        ],
        "paymentScheduleFrequency": "WEEKLY",
        "periodicPayment": 1,
        "previewSchedule": {
          "numberOfPreviewedInstalments": 1
        },
        "principalRepaymentInterval": 1,
        "repaymentInstallments": 1,
        "repaymentPeriodCount": 1,
        "repaymentPeriodUnit": "DAYS",
        "repaymentScheduleMethod": "NONE",
        "scheduleDueDatesMethod": "INTERVAL",
        "shortMonthHandlingMethod": "LAST_DAY_IN_MONTH"
      },
      "settlementAccountKey": "example",
      "taxRate": 1,
      "terminationDate": "2026-10-01T12:00:00Z",
      "tranches": [
        {
          "amount": 1,
          "disbursementDetails": {
            "disbursementTransactionKey": "example",
            "expectedDisbursementDate": "2026-10-01T12:00:00Z"
          },
          "encodedKey": "example",
          "fees": [
            {
              "amount": 1,
              "encodedKey": "example",
              "fee": {},
              "percentage": 1,
              "predefinedFeeEncodedKey": "example"
            }
          ],
          "trancheNumber": 1
        }
      ],
      "useInterestAccruedAsTotalDueWhenIntervalIsDifferent": false
    }
  ],
  "has_more": false,
  "next_cursor": null
}

List loan products

Get loan products

Inputs

Offsetoffsetnumber
Pagination, index to start searching at when retrieving elements, used in combination with limit to paginate resultsAt least 0.
Limitlimitnumber
Pagination, the number of elements to retrieve, used in combination with offset to paginate resultsFrom 1 to 1000.
PaginationDetailspaginationDetailstext
Flag specifying whether the pagination details should be provided in response headers. Please note that by default it is disabled (OFF), in order to improve the performance of the APIsOne of: ON, OFF.
SortBysortBytext
The criteria based on which the records will be sorted. Expected format is , for example, sortBy = field1:ASC,field2:DESC. Only the following fields can be used: ID, productName, creationDate, lastModifiedDate Default sorting is done by creationDate:DESC

Outputs

Value.

datalist
The API response.
has_moretrue/false
Whether another page is available.
next_cursortext
Continuation value, or empty at the end.
Example output
{
  "data": [
    {
      "accountLinkSettings": {
        "enabled": false,
        "linkableDepositProductKey": "example",
        "linkedAccountOptions": [
          "AUTO_LINK_ACCOUNTS"
        ],
        "settlementMethod": "FULL_DUE_AMOUNTS"
      },
      "accountingSettings": {
        "accountingMethod": "NONE",
        "accountingRules": [
          {
            "encodedKey": "example",
            "financialResource": "PORTFOLIO_CONTROL",
            "glAccountKey": "example",
            "transactionChannelKey": "example"
          }
        ],
        "interestAccrualCalculation": "NONE",
        "interestAccruedAccountingMethod": "NONE",
        "suspendedIncomeEnabled": false
      },
      "adjustInterestForFirstInstallment": false,
      "adjustTotalDueForInstallmentsWithDifferentInterval": false,
      "allowAdvanceRepayment": false,
      "allowCustomRepaymentAllocation": false,
      "allowUnappliedFunds": false,
      "arrearsSettings": {
        "dateCalculationMethod": "ACCOUNT_FIRST_WENT_TO_ARREARS",
        "encodedKey": "example",
        "monthlyToleranceDay": 1,
        "nonWorkingDaysMethod": "INCLUDED",
        "toleranceCalculationMethod": "ARREARS_TOLERANCE_PERIOD",
        "toleranceFloorAmount": 1,
        "tolerancePercentageOfOutstandingPrincipal": {
          "defaultValue": 1,
          "maxValue": 1,
          "minValue": 1
        },
        "tolerancePeriod": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        }
      },
      "availabilitySettings": {
        "availableFor": [
          "INDIVIDUALS"
        ],
        "branchSettings": {
          "availableProductBranches": [
            "example"
          ],
          "forAllBranches": false
        }
      },
      "category": "PERSONAL_LENDING",
      "creationDate": "2026-10-01T12:00:00Z",
      "creditArrangementSettings": {
        "creditArrangementRequirement": "OPTIONAL"
      },
      "currency": {
        "code": "AED",
        "currencyCode": "example"
      },
      "encodedKey": "example",
      "feesSettings": {
        "allowArbitraryFees": false,
        "fees": [
          {
            "accountingRules": [
              {}
            ],
            "amortizationSettings": {
              "amortizationProfile": "NONE",
              "encodedKey": "example",
              "feeAmortizationUponRescheduleRefinanceOption": "END_AMORTIZATION_ON_THE_ORIGINAL_ACCOUNT",
              "frequency": "ACCOUNT_INSTALLMENTS_DUE_DATES",
              "intervalCount": 1,
              "intervalType": "PREDEFINED_INTERVALS",
              "periodCount": 1,
              "periodUnit": "DAYS"
            },
            "amount": 1,
            "amountCalculationFunctionName": "example",
            "amountCalculationMethod": "FLAT",
            "applyDateMethod": "MONTHLY_FROM_ACTIVATION",
            "creationDate": "2026-10-01T12:00:00Z",
            "defaultFeeRate": 1,
            "encodedKey": "example",
            "feeApplication": "REQUIRED",
            "id": "example",
            "includeInPenalty": false,
            "interestBearing": false,
            "lastModifiedDate": "2026-10-01T12:00:00Z",
            "name": "example",
            "percentageAmount": 1,
            "scheduleAllocationMethod": "ON_INSTALLMENT",
            "state": "ACTIVE",
            "taxSettings": {
              "taxableCalculationMethod": "DEFAULT"
            },
            "trigger": "MANUAL"
          }
        ]
      },
      "fundingSettings": {
        "enabled": false,
        "funderInterestCommission": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "funderInterestCommissionAllocationType": "PERCENTAGE_OF_LOAN_FUNDING",
        "lockFundsAtApproval": false,
        "organizationInterestCommission": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "requiredFunds": 1
      },
      "gracePeriodSettings": {
        "gracePeriod": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "gracePeriodType": "NONE"
      },
      "id": "example",
      "interestSettings": {
        "accrueLateInterest": false,
        "compoundingFrequency": "DAILY",
        "daysInYear": "ACTUAL_365_FIXED",
        "decoupleInterestFromArrears": false,
        "indexRateSettings": {
          "accrueInterestAfterMaturity": false,
          "allowNegativeInterestRate": false,
          "encodedKey": "example",
          "indexSourceKey": "example",
          "interestChargeFrequency": "ANNUALIZED",
          "interestChargeFrequencyCount": 1,
          "interestRate": {
            "defaultValue": 1,
            "maxValue": 1,
            "minValue": 1
          },
          "interestRateCeilingValue": 1,
          "interestRateFloorValue": 1,
          "interestRateReviewCount": 1,
          "interestRateReviewUnit": "DAYS",
          "interestRateSource": "FIXED_INTEREST_RATE",
          "interestRateTerms": "FIXED",
          "interestRateTiers": [
            {
              "encodedKey": "example",
              "endingBalance": 1,
              "interestRate": 1
            }
          ]
        },
        "interestApplicationMethod": "AFTER_DISBURSEMENT",
        "interestBalanceCalculationMethod": "ONLY_PRINCIPAL",
        "interestCalculationMethod": "FLAT",
        "interestRateSettings": [
          {
            "encodedKey": "example",
            "indexSourceKey": "example",
            "interestRate": {
              "defaultValue": 1,
              "maxValue": 1,
              "minValue": 1
            },
            "interestRateCeilingValue": 1,
            "interestRateFloorValue": 1,
            "interestRateReviewCount": 1,
            "interestRateReviewUnit": "DAYS",
            "interestRateSource": "FIXED_INTEREST_RATE"
          }
        ],
        "interestType": "SIMPLE_INTEREST",
        "pmtAdjustmentThreshold": {
          "method": "WORKING_DAYS",
          "numberOfDays": 1
        },
        "scheduleInterestDaysCountMethod": "REPAYMENT_PERIODICITY"
      },
      "internalControls": {
        "dormancyPeriodDays": 1,
        "fourEyesPrinciple": {
          "activeForLoanApproval": false
        },
        "lockSettings": {
          "cappingApplyAccruedChargesBeforeLocking": false,
          "cappingConstraintType": "SOFT_CAP",
          "cappingMethod": "OUTSTANDING_PRINCIPAL_PERCENTAGE",
          "cappingPercentage": 1,
          "lockPeriodDays": 1
        }
      },
      "lastModifiedDate": "2026-10-01T12:00:00Z",
      "loanAmountSettings": {
        "loanAmount": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "trancheSettings": {
          "maxNumberOfTranches": 1
        }
      },
      "name": "example",
      "newAccountSettings": {
        "accountInitialState": "PARTIAL_APPLICATION",
        "idGeneratorType": "INCREMENTAL_NUMBER",
        "idPattern": "example"
      },
      "notes": "example",
      "offsetSettings": {
        "allowOffset": false
      },
      "paymentSettings": {
        "amortizationMethod": "STANDARD_PAYMENTS",
        "latePaymentsRecalculationMethod": "OVERDUE_INSTALLMENTS_INCREASE",
        "paymentArrangementEnabled": false,
        "paymentMethod": "HORIZONTAL",
        "prepaymentSettings": {
          "applyInterestOnPrepaymentMethod": "AUTOMATIC",
          "elementsRecalculationMethod": "PRINCIPAL_EXPECTED_FIXED",
          "ercFreeAllowance": 1,
          "futurePaymentsAcceptance": "NO_FUTURE_PAYMENTS",
          "prepaymentAcceptance": "ACCEPT_PREPAYMENTS",
          "prepaymentRecalculationMethod": "NO_RECALCULATION",
          "principalPaidInstallmentStatus": "PARTIALLY_PAID"
        },
        "principalPaymentSettings": {
          "amount": {
            "defaultValue": 1,
            "encodedKey": "example",
            "maxValue": 1,
            "minValue": 1
          },
          "defaultPrincipalRepaymentInterval": 1,
          "encodedKey": "example",
          "includeFeesInFloorAmount": false,
          "includeInterestInFloorAmount": false,
          "percentage": {
            "defaultValue": 1,
            "encodedKey": "example",
            "maxValue": 1,
            "minValue": 1
          },
          "principalCeilingValue": 1,
          "principalFloorValue": 1,
          "principalPaymentMethod": "FLAT",
          "totalDueAmountFloor": 1,
          "totalDuePayment": "FLAT"
        },
        "repaymentAllocationOrder": [
          "PRINCIPAL"
        ]
      },
      "penaltySettings": {
        "loanPenaltyCalculationMethod": "NONE",
        "loanPenaltyGracePeriod": 1,
        "penaltyRate": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        }
      },
      "redrawSettings": {
        "allowRedraw": false
      },
      "revolvingProductCreditBalance": {
        "allowDepositWithDebitBalance": false,
        "creditBalanceAutoAllocation": "example",
        "enabled": false,
        "encodedKey": "example",
        "maxCreditBalance": 1
      },
      "revolvingProductRefundSettings": {
        "maxDaysForRefund": 1,
        "refundRecalculationMethod": "LEGACY"
      },
      "scheduleSettings": {
        "amortizationPeriod": {
          "defaultValue": 1,
          "maxValue": 1,
          "minValue": 1
        },
        "billingCycles": {
          "enabled": false,
          "startDays": [
            1
          ]
        },
        "defaultRepaymentPeriodCount": 1,
        "firstRepaymentDueDateOffset": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "fixedDaysOfMonth": [
          1
        ],
        "interestAccrualSince": "DISBURSEMENT",
        "keepInstallmentsEqualForPaymentHoliday": false,
        "keepInstallmentsEqualIfLongFirstPeriod": false,
        "numInstallments": {
          "defaultValue": 1,
          "encodedKey": "example",
          "maxValue": 1,
          "minValue": 1
        },
        "paymentScheduleFrequency": "WEEKLY",
        "previewSchedule": {
          "numberOfPreviewedInstalments": 1,
          "previewScheduleEnabled": false
        },
        "repaymentMethod": "AMOUNT",
        "repaymentPeriodUnit": "DAYS",
        "repaymentReschedulingMethod": "NONE",
        "repaymentScheduleEditOptions": [
          "ADJUST_PAYMENT_DATES"
        ],
        "repaymentScheduleMethod": "NONE",
        "roundingSettings": {
          "repaymentCurrencyRounding": "NO_ROUNDING",
          "repaymentElementsRoundingMethod": "NO_ROUNDING",
          "roundingRepaymentScheduleMethod": "NO_ROUNDING"
        },
[...]
